Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.webapp.action
Class ImportAction

    java.lang.Object
      com.opensymphony.xwork2.ActionSupport
          com.gisgraphy.webapp.action.ImportAction

All Implemented Interfaces:
  com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

    public class ImportAction

extends com.opensymphony.xwork2.ActionSupport

Action that do the all import

Author:
  David Masclet
See Also:
  `ImporterManager`, Serialized Form

Field Summary
`static String` | `WAIT`

Fields inherited from class com.opensymphony.xwork2.ActionSupport
`LOG`

Fields inherited from interface com.opensymphony.xwork2.Action
`ERROR, INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`ImportAction()`

Method Summary
`String` | `doImport()` Run import if not in progress or already done, otherwise return Wait view
`String` | `execute()`
`String` | `getErrorMessage()`
`IImporterManager` | `getImporterManager()`
`List<ImporterStatusDto>` | `getImporterStatusDtoList()`
`String` | `getImportFormatedTimeElapsed()`
`ImporterStatus[]` | `getStatusEnumList()`
`boolean` | `isImportAlreadyDone()`
`boolean` | `isImportInProgress()`
`void` | `setImporterManager(IImporterManager importerManager)`
`String` | `splitCamelCase(String string)`
`String` | `status()`

Methods inherited from class com.opensymphony.xwork2.ActionSupport
`addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WAIT

    public static String WAIT

Constructor Detail

### ImportAction

    public ImportAction()

Method Detail

### getImportFormatedTimeElapsed

    public String getImportFormatedTimeElapsed()

### isImportInProgress

    public boolean isImportInProgress()

### isImportAlreadyDone

    public boolean isImportAlreadyDone()
                                throws ImporterMetaDataException

  Throws:
    `ImporterMetaDataException`

### doImport

    public String doImport()

  Run import if not in progress or already done, otherwise return Wait view

  Returns:
    'success'
  Throws:
    `Exception` - When errors occurred

### status

    public String status()
                  throws Exception

  Returns:
    'Wait'
  Throws:
    `Exception` - if errors occurred

### execute

    public String execute()
                   throws Exception

  Specified by:
    `execute` in interface `com.opensymphony.xwork2.Action`
  Overrides:
    `execute` in class `com.opensymphony.xwork2.ActionSupport`
  Throws:
    `Exception`

### getStatusEnumList

    public ImporterStatus[] getStatusEnumList()

### setImporterManager

    public void setImporterManager(IImporterManager importerManager)

  Parameters:
    `importerManager` - the importerManager to set

### getImporterStatusDtoList

    public List<ImporterStatusDto> getImporterStatusDtoList()

  Returns:
    the importerStatusDtoList

### splitCamelCase

    public String splitCamelCase(String string)

  Parameters:
    `string` - a CamelCaseString
  Returns:
    a human readable String

### getImporterManager

    public IImporterManager getImporterManager()

  Returns:
    the importerManager

### getErrorMessage

    public String getErrorMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.